The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete a controller

Prev Next

This URL deletes a controller based on the controller Id.

Resource URL

DELETE /controller/<controller Id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
controller Id Controller ID.

You can use the GET /controller method to get the details of all the Controllers.

string Yes

Response Parameters

Following fields are returned in the response.

Field Name Description Data Type
success Indicates if the DELETE operation is successful.

Value is set to true if the DELETE operation is successful.

Value is set to false if the DELETE operation is not successful.

string
msg Message if the deletion of the controller is successful string
errMsg Not applicable Not applicable
domainName Not applicable Not applicable
data Not applicable Not applicable
controllerName Not applicable Not applicable

Example

Request

DELETE https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/controller/6

Response

{
"success": true,
"msg": "Controller [6] deleted!", 
"errMsg": null,
"domainName": null, 
"data": null, 
"controllerName": null
}